use serde::{Serialize,Deserialize};

const MESSAGE_MAGIC: u64 = 0x1234123412341234;

#[derive(Serialize,Deserialize)]
pub enum HeaderType {
    Hello,
}

#[derive(Serialize,Deserialize)]
pub struct Message {
    ht: HeaderType,
    magic: u64,
}

impl Message {
    pub fn build(ht: HeaderType) -> Self {
        Self { ht, magic: MESSAGE_MAGIC }
    }
}
